Bug 1180177 (CVE-2015-4468, CVE-2015-4469) - CVE-2015-4468 CVE-2015-4468 libmspack: pointer arithmetic overflow during CHM decompression
Summary: CVE-2015-4468 CVE-2015-4468 libmspack: pointer arithmetic overflow during CHM...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-4468, CVE-2015-4469
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1180181 1180180
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-08 14:59 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:37:33 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-08 14:59:05 UTC
It was reported [1] that libmspack has three pointer arithmetic overflow issues, which can later cause buffer over-read.

Two sample CHM files that trigger segfaults, which are caused by the overflows, can be found at [1].

Proposed patch to fix this issue is attached.

As per the report, only 32-bit architecture if affected.

[1]: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774726

Comment 1 Vasyl Kaigorodov 2015-01-08 14:59:47 UTC
Created libmspack tracking bugs for this issue:

Affects: fedora-all [bug 1180180]
Affects: epel-all [bug 1180181]

Comment 2 Fedora Update System 2015-03-13 17:00:34 UTC
libmspack-0.5-0.1.alpha.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-03-13 17:02:11 UTC
libmspack-0.5-0.1.alpha.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-03-13 17:14:33 UTC
libmspack-0.5-0.1.alpha.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-03-25 20:04:24 UTC
libmspack-0.5-0.1.alpha.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-25 20:04:55 UTC
libmspack-0.5-0.1.alpha.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Vasyl Kaigorodov 2015-06-11 14:54:34 UTC
CVE assigned: http://seclists.org/oss-sec/2015/q2/691

Comment 8 Product Security DevOps Team 2019-06-08 02:37:33 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.